### Method

# GLib VariantDict remove

since: 2.40

#### Declaration [src]

    gboolean
    g_variant_dict_remove (
      GVariantDict* dict,
      const gchar* key
    )

#### Description [src]

Removes a key and its associated value from a `GVariantDict`.

Available since: 2.40

#### Parameters

`key`

  Type: `const gchar*`

  The key to remove.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the key was found and removed.